# Backup Solution
This is currently WIP btw.

* Install restic > 1.14
* Create new repository (where backups are stored)
	* Create a new ssh keypair and share it with the remote host
	* Create a `~/.ssh/config` file and name it. In this case we will name it `other`
```bash
# This could also be a local folder (/to/whereever/) but that's dumb.
export RESTIC_REPOSITORY="sftp:other:/srv/repo"
restic init
# It will ask you for a password, ofc make this good and don't forget it.
```
* Backup some files
```bash
# Optionally add the `--tag foo` flag to tag backup snapshots
restic backup /ImportantDocuments
```
* Restore from a snapshot:
```bash
restic snapshots
# Copy the desired snapshot id (short or long)
restic restore <id> --target <target folder>
```
